
Dashboard - Bug #37859

mgr/dashboard: Render all objects in KV-table

01/10/2019 12:24 PM - Stephan Müller

Status: Resolved % Done: 0%

Priority: Normal   

Assignee: Stephan Müller   

Category: General   

Target version: v14.0.0   

Source:  Affected Versions:  

Tags:  ceph-qa-suite:  

Backport:  Pull request ID: 25894

Regression: No Crash signature (v1):  

Severity: 3 - minor Crash signature (v2):  

Reviewed:    

Description

Currently the key value table will not render all objects in the given object, even if 'renderObjects' is set to true.

For example you give it an object with 2 attributes each of them holds a non empty object, this will result in a table data that is not

fully converted to key value objects, which will result as text '[Object object]' in the table view.

Related issues:

Related to Dashboard - Feature #37860: mgr/dashboard: Hide empty fields in KV... Resolved

History

#1 - 01/10/2019 02:25 PM - Stephan Müller

- Status changed from New to Fix Under Review

- Pull request ID set to 25894

#2 - 01/10/2019 02:27 PM - Stephan Müller

- Related to Feature #37860: mgr/dashboard: Hide empty fields in KV-table added

#3 - 02/04/2019 11:24 AM - Stephan Müller

- Status changed from Fix Under Review to Resolved

#4 - 04/15/2021 05:21 PM - Ernesto Puerta

- Project changed from mgr to Dashboard

- Category changed from 132 to General
